# sent in by Jon Heather <jheather at zoo dot co dot uk>
# requires PIL -- don't keep reinventing wheels, life's too short.
import Image,ImageWin,winwin,msgloop,sys
from winscroll import scrollable_window
global pilDisplay

class img_window (scrollable_window):
 def create(self):
   result = scrollable_window.create (self)
   global pilDisplay # to be sure to be sure
   self.set_virtual_window ((0, 0, pilDisplay.size[0], pilDisplay.size[1] ))
   return result

 def WM_DESTROY (self, wparam, lparam):
  winwin.user32.PostQuitMessage (0)

 def WM_SIZE (self, wparam, lparam):
  self.size = (lparam&0xffff, (lparam>>16)) # inlined
  self.invalidate_rect (0)

 def WM_PAINT (self, wparam, lparam):
  global pilDisplay # to be sure to be sure
  dc = self.begin_paint()
  pilDisplay.expose(dc.handle)
  self.end_paint()
  return 1

if __name__=='__main__':
 if len(sys.argv)>1:
  img=Image.open( sys.argv[1] )
  if img.mode not in ('RGB', 'L'):
   pilMode = 'RGB'
  else:
   pilMode = img.mode
  pilDisplay = ImageWin.Dib(pilMode, img.size)
  pilDisplay.paste(img)
  w = img_window(style = winwin.WS_OVERLAPPEDWINDOW)
  w.create()
  w.show_window()
  msgloop.go()
